# OgreAnimationState.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreController.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::map< String, AnimationState * > | AnimationStateMap
typedef MapIterator< AnimationStateMap > | AnimationStateIterator
typedef ConstMapIterator< AnimationStateMap > | ConstAnimationStateIterator
typedef std::list< AnimationState * > | EnabledAnimationStateList
typedef ConstVectorIterator< EnabledAnimationStateList > | ConstEnabledAnimationStateIterator

## Typedef Documentation

typedef MapIterator<AnimationStateMap> Ogre::AnimationStateIterator

| Definition at line 115 of file OgreAnimationState.h.

typedef std::map<String, AnimationState*> Ogre::AnimationStateMap

| Definition at line 114 of file OgreAnimationState.h.

typedef ConstMapIterator<AnimationStateMap> Ogre::ConstAnimationStateIterator

| Definition at line 116 of file OgreAnimationState.h.

typedef ConstVectorIterator<EnabledAnimationStateList> Ogre::ConstEnabledAnimationStateIterator

| Definition at line 119 of file OgreAnimationState.h.

typedef std::list<AnimationState*> Ogre::EnabledAnimationStateList

| Definition at line 118 of file OgreAnimationState.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006